package com.tzld.piaoquan.api.service.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.*;
import com.tzld.piaoquan.api.model.vo.contentplatform.AccountLoginVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.AccountVO;

import java.util.List;

public interface ContentPlatformAccountService {
    AccountLoginVO login(AccountLoginParam param);

    void sendMessageVerifyCode(AccountSendMessageParam param);

    List<AccountVO> pageAccount(AccountListParam param);

    void accountForbidden(AccountForbiddenParam param);

    void saveAccount(AccountSaveParam param);
}
